GETGEOMBYNAME(3)

NAME
getgeombyname - get disk geometry by name

SYNOPSIS
#include <zdc/zdc.h>
#include <diskinfo.h>

struct geomtab *
getgeombyname(disktype)
char *disktype;

DESCRIPTION
getgeombyname takes a disk type name (e.g. m2333k) and returns a structure describing its geometry information. All information is obtained from files in the directory /etc/diskinfo which end in the suffix .geom. Each of these files contains the geometry information for one disk type. See /usr/include/diskinfo.h for a description of the fields in struct geomtab.

SEE ALSO
diskinfo(5)

NOTES
This is a Sequent library routine. To use it, specify the -lseq option to link with the Sequent library. Since this is a Sequent extension, code using this routine may not be portable to other systems.